# MainPanelListener
Keywords: waveletCompression.MainPanelListener class

## waveletCompression
Class MainPanelListener

    java.lang.Object
      java.awt.event.KeyAdapter
          waveletCompression.MainPanelListener

All Implemented Interfaces:
  java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.ItemListener, java.awt.event.KeyListener, java.util.EventListener, javax.swing.event.ChangeListener

    public class MainPanelListener

extends java.awt.event.KeyAdapter
implements java.awt.event.ActionListener, java.awt.event.FocusListener, java.awt.event.ItemListener, javax.swing.event.ChangeListener

Der MainPanelListener übernimmt die Ereignisbehandlung der GUI.

Author:
  Bettina Selig, Tilman Walther

Constructor Summary
`MainPanelListener(MainPanel panel)`

Method Summary
`void` `actionPerformed(java.awt.event.ActionEvent e)`
`void` `focusGained(java.awt.event.FocusEvent e)`
`void` `focusLost(java.awt.event.FocusEvent e)`
`void` `itemStateChanged(java.awt.event.ItemEvent e)`
`void` `keyPressed(java.awt.event.KeyEvent e)`
`void` `stateChanged(javax.swing.event.ChangeEvent e)`

Methods inherited from class java.awt.event.KeyAdapter
`keyReleased, keyTyped`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MainPanelListener

    public MainPanelListener(MainPanel panel)

Method Detail

### actionPerformed

    public void actionPerformed(java.awt.event.ActionEvent e)

  Specified by:
    `actionPerformed` in interface `java.awt.event.ActionListener`

### itemStateChanged

    public void itemStateChanged(java.awt.event.ItemEvent e)

  Specified by:
    `itemStateChanged` in interface `java.awt.event.ItemListener`

### focusGained

    public void focusGained(java.awt.event.FocusEvent e)

  Specified by:
    `focusGained` in interface `java.awt.event.FocusListener`

### focusLost

    public void focusLost(java.awt.event.FocusEvent e)

  Specified by:
    `focusLost` in interface `java.awt.event.FocusListener`

### keyPressed

    public void keyPressed(java.awt.event.KeyEvent e)

  Specified by:
    `keyPressed` in interface `java.awt.event.KeyListener`
  Overrides:
    `keyPressed` in class `java.awt.event.KeyAdapter`

### stateChanged

    public void stateChanged(javax.swing.event.ChangeEvent e)

  Specified by:
    `stateChanged` in interface `javax.swing.event.ChangeListener`